<?php
    require_once 'conexion.php' ;
    // Actualiza hashtags y menciones del tweet en la tabla "tweets"
    $sql = "SELECT tweet_id, text FROM tweets";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            $hashtags = array();
            $menciones = array();
            $words = explode(" ", $row["text"]);
            foreach ($words as $word) {
                if (substr($word, 0, 1) === "#") {
                    array_push($hashtags, $word);
                } else if (substr($word, 0, 1) === "@") {
                    array_push($menciones, $word);
                }
            }
            $hashtags_str = implode(", ", $hashtags);
            $menciones_str = implode(", ", $menciones);
            $sql_update = "UPDATE tweets SET hashtags='$hashtags_str', menciones='$menciones_str' WHERE tweet_id=" . $row["tweet_id"];
            if ($conn->query($sql_update) === TRUE) {
                echo "Los registros se actualizaron correctamente.";
            } else {
                echo "Error al actualizar los registros: " . $conn->error;
            }
        }
    } else {
        echo "No se encontraron registros.";
    }

    $conn->close();
?>